/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for MuscularAnatomy
 */
public enum EnumCM_MuscularAnatomy 
{
	//CID 6116 Muscular Anatomy
	CHORDAE_TENDINEAE_CORDIS("Chordae tendineae cordis"),
	DELTOID_MUSCLE("Deltoid muscle"),
	DIAPHRAGM("Diaphragm"),
	ERECTOR_SPINAE_MUSCLE("Erector spinae muscle"),
	EXTERNAL_INTERCOSTAL_MUSCLE("External intercostal muscle"),
	ILIOCOSTALIS_MUSCLE("Iliocostalis muscle"),
	INFRASPINATUS_MUSCLE("Infraspinatus muscle"),
	INNERMOST_INTERCOSTAL_MUSCLES("Innermost intercostal muscles"),
	INTERATRIAL_SEPTUM("Interatrial septum"),
	INTERNAL_INTERCOSTAL_MUSCLE("Internal intercostal muscle"),
	INTERVENTRICULAR_SEPTUM("Interventricular septum"),
	LATISSIMUS_DORSI_MUSCLE("Latissimus dorsi muscle"),
	LEVATORES_COSTARUM_MUSCLES("Levatores costarum muscles"),
	LONGISSIMUS_MUSCLE("Longissimus muscle"),
	PECTORALIS_MAJOR_MUSCLE("Pectoralis major muscle"),
	PECTORALIS_MINOR_MUSCLE("Pectoralis minor muscle"),
	SCALENOUS_ANTERIOR_MUSCLE("Scalenous anterior muscle"),
	SERRATUS_ANTERIOR_MUSCLE("Serratus anterior muscle"),
	SPINALIS_MUSCLE("Spinalis muscle"),
	STERNOCLEIDOMASTOID_MUSCLE("Sternocleidomastoid muscle"),
	SUBCOSTAL_MUSCLE("Subcostal muscle"),
	SUBSCAPULARIS_MUSCLE("Subscapularis muscle"),
	SUPRASPINATUS_MUSCLE("Supraspinatus muscle"),
	TERES_MAJOR_MUSCLE("Teres major muscle"),
	TERES_MINOR_MUSCLE("Teres minor muscle"),
	TRABECULAE_CARNAE("Trabeculae carnae"),
	TRANSVERSUS_THORACIS("Transversus thoracis"),
	TRAPEZIUS_MUSCLE("Trapezius muscle");

	private String value;
	
	EnumCM_MuscularAnatomy(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
